Bug 846752 - Package, which is renamed, is not available for the client
Package, which is renamed, is not available for the client
Status: CLOSED NOTABUG
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Slagle
mkovacik
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 11:30 EDT by Pavlina Bartikova
Modified: 2012-08-10 08:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 08:25:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen log (9.62 KB, text/plain)
2012-08-10 08:39 EDT, Pavlina Bartikova
no flags Details

  None (edit)
Description Pavlina Bartikova 2012-08-08 11:30:43 EDT
Description of problem:
Package, which is renamed, is not available for the client. It can be uploaded with new name. On CDS - in /var/lib/pulp-cds/packages and /var/lib/pulp-cds/repos/our_repo is new package with old name. But client can't see the package (neither new nor old name).

Version-Release number of selected component (if applicable):
RHEL-6.3-RHUI-2.1-20120801.0-Server-x86_64-DVD1.iso

How reproducible:
always

Steps to Reproduce:
1. on RHUA:
1.1. have some package
1.2. rename the package with mv command
1.3. upload package to custom repository
1.4. synchronize CDS
2. on client
2.1. yum clean all
2.2. yum repolist (number of repolist is incremented correctly)
2.3. yum list available
  
Actual results:
new package is available

Expected results:
nothing (new package is not available)
Comment 1 wes hayutin 2012-08-08 13:19:08 EDT
There is meta data that is not simply changed by using mv..
You will need to rebuild the rpm after changing the rpm specfile. 

I suggest building a couple custom rpms to work with.
Comment 2 wes hayutin 2012-08-08 15:25:13 EDT
whoops broke my own rule.. 
instead of closing, moving to on_qa.  

Further explanation.. 
The spec file for the rpm needs to be changed, specifically the "name" value in the spec file..
Comment 3 Pavlina Bartikova 2012-08-09 05:06:21 EDT
Yes, I understand. But it doesn't solve problem, that RHUI let me upload this package, the package is on CDS, but it's not available for the client..

Moving bug to ON_DEV.
Comment 4 James Slagle 2012-08-09 08:52:11 EDT
Is the "old" package (it's actually the same package to yum) already installed on the client?

Can we see output from "rpm -qa" and "yum list all" on the client?
As well as what the original package filename was, and what mv commands you ran.

Thanks
Comment 5 Pavlina Bartikova 2012-08-10 08:25:06 EDT
I'm sorry. It doesn't relate to renaming. I was trying this with source packages and these aren't available for the client.. 

Moving bug to CLOSED - NOTABUG.
Comment 6 Pavlina Bartikova 2012-08-10 08:39:09 EDT
Created attachment 603513 [details]
screen log

Note You need to log in before you can comment on or make changes to this bug.